From 1ae36d38987f51ce0fb6e74c3c238ce13daf53c3 Mon Sep 17 00:00:00 2001
From: Starbeamrainbowlabs <sbrl@starbeamrainbowlabs.com>
Date: Mon, 19 Sep 2022 01:18:48 +0100
Subject: [PATCH] Update tests to wea_c

---
 .tests/Vector3/abs.test.lua                         | 2 +-
 .tests/Vector3/add.test.lua                         | 2 +-
 .tests/Vector3/area.test.lua                        | 2 +-
 .tests/Vector3/ceil.test.lua                        | 2 +-
 .tests/Vector3/clamp.test.lua                       | 2 +-
 .tests/Vector3/clone.test.lua                       | 2 +-
 .tests/Vector3/concat.test.lua                      | 2 +-
 .tests/Vector3/divide.test.lua                      | 2 +-
 .tests/Vector3/dot.test.lua                         | 2 +-
 .tests/Vector3/equal.test.lua                       | 2 +-
 .tests/Vector3/expand_region.test.lua               | 2 +-
 .tests/Vector3/floor.test.lua                       | 2 +-
 .tests/Vector3/is_contained.test.lua                | 2 +-
 .tests/Vector3/length.test.lua                      | 2 +-
 .tests/Vector3/length_squared.test.lua              | 2 +-
 .tests/Vector3/limit_to.test.lua                    | 2 +-
 .tests/Vector3/max.test.lua                         | 2 +-
 .tests/Vector3/max_component.test.lua               | 2 +-
 .tests/Vector3/mean.test.lua                        | 2 +-
 .tests/Vector3/min.test.lua                         | 2 +-
 .tests/Vector3/min_component.test.lua               | 2 +-
 .tests/Vector3/move_towards.test.lua                | 2 +-
 .tests/Vector3/multiply.test.lua                    | 2 +-
 .tests/Vector3/new.test.lua                         | 2 +-
 .tests/Vector3/round.test.lua                       | 2 +-
 .tests/Vector3/set_to.test.lua                      | 2 +-
 .tests/Vector3/snap_to.test.lua                     | 2 +-
 .tests/Vector3/sort_pos.test.lua                    | 2 +-
 .tests/Vector3/sqrt.test.lua                        | 2 +-
 .tests/Vector3/subtract.test.lua                    | 2 +-
 .tests/Vector3/tostring.test.lua                    | 2 +-
 .tests/Vector3/unit.test.lua                        | 2 +-
 .tests/parse/axes/axes_parser.test.lua              | 4 ++--
 .tests/parse/axes/parse_abs_axis_name.test.lua      | 2 +-
 .tests/parse/axes/parse_axes.test.lua               | 4 ++--
 .tests/parse/axes/parse_relative_axis_name.test.lua | 4 ++--
 .tests/strings/str_ends.test.lua                    | 2 +-
 .tests/strings/str_padend.test.lua                  | 2 +-
 .tests/strings/str_padstart.test.lua                | 2 +-
 .tests/strings/str_starts.test.lua                  | 2 +-
 .tests/strings/trim.test.lua                        | 2 +-
 41 files changed, 44 insertions(+), 44 deletions(-)

diff --git a/.tests/Vector3/abs.test.lua b/.tests/Vector3/abs.test.lua
index 9803c57..b398161 100644
--- a/.tests/Vector3/abs.test.lua
+++ b/.tests/Vector3/abs.test.lua
@@ -1,4 +1,4 @@
-local Vector3 = require("worldeditadditions.utils.vector3")
+local Vector3 = require("worldeditadditions_core.utils.vector3")
 
 describe("Vector3.abs", function()
 	it("should work with a positive vector", function()
diff --git a/.tests/Vector3/add.test.lua b/.tests/Vector3/add.test.lua
index cba5a2a..f9d4608 100644
--- a/.tests/Vector3/add.test.lua
+++ b/.tests/Vector3/add.test.lua
@@ -1,4 +1,4 @@
-local Vector3 = require("worldeditadditions.utils.vector3")
+local Vector3 = require("worldeditadditions_core.utils.vector3")
 
 describe("Vector3.add", function()
 	it("should add 2 positive vectors", function()
diff --git a/.tests/Vector3/area.test.lua b/.tests/Vector3/area.test.lua
index d7fc97f..07b70c6 100644
--- a/.tests/Vector3/area.test.lua
+++ b/.tests/Vector3/area.test.lua
@@ -1,4 +1,4 @@
-local Vector3 = require("worldeditadditions.utils.vector3")
+local Vector3 = require("worldeditadditions_core.utils.vector3")
 
 describe("Vector3.area", function()
 	it("should work with a positive vector", function()
diff --git a/.tests/Vector3/ceil.test.lua b/.tests/Vector3/ceil.test.lua
index 449d89d..fc3ab63 100644
--- a/.tests/Vector3/ceil.test.lua
+++ b/.tests/Vector3/ceil.test.lua
@@ -1,4 +1,4 @@
-local Vector3 = require("worldeditadditions.utils.vector3")
+local Vector3 = require("worldeditadditions_core.utils.vector3")
 
 describe("Vector3.ceil", function()
 	it("should ceil a positive vector", function()
diff --git a/.tests/Vector3/clamp.test.lua b/.tests/Vector3/clamp.test.lua
index a866e76..9a13553 100644
--- a/.tests/Vector3/clamp.test.lua
+++ b/.tests/Vector3/clamp.test.lua
@@ -1,4 +1,4 @@
-local Vector3 = require("worldeditadditions.utils.vector3")
+local Vector3 = require("worldeditadditions_core.utils.vector3")
 
 describe("Vector3.clamp", function()
 	it("should work by not changing values if it's already clamped", function()
diff --git a/.tests/Vector3/clone.test.lua b/.tests/Vector3/clone.test.lua
index a6b4804..02d9228 100644
--- a/.tests/Vector3/clone.test.lua
+++ b/.tests/Vector3/clone.test.lua
@@ -1,4 +1,4 @@
-local Vector3 = require("worldeditadditions.utils.vector3")
+local Vector3 = require("worldeditadditions_core.utils.vector3")
 
 describe("Vector3.clone", function()
 	it("should return a new Vector3 instance", function()
diff --git a/.tests/Vector3/concat.test.lua b/.tests/Vector3/concat.test.lua
index 0760eda..f482e6e 100644
--- a/.tests/Vector3/concat.test.lua
+++ b/.tests/Vector3/concat.test.lua
@@ -1,4 +1,4 @@
-local Vector3 = require("worldeditadditions.utils.vector3")
+local Vector3 = require("worldeditadditions_core.utils.vector3")
 
 describe("Vector3.__concat", function()
 	it("should work when concatenating a Vector3 + Vector3", function()
diff --git a/.tests/Vector3/divide.test.lua b/.tests/Vector3/divide.test.lua
index 18c728f..25bfd9b 100644
--- a/.tests/Vector3/divide.test.lua
+++ b/.tests/Vector3/divide.test.lua
@@ -1,4 +1,4 @@
-local Vector3 = require("worldeditadditions.utils.vector3")
+local Vector3 = require("worldeditadditions_core.utils.vector3")
 
 describe("Vector3.divide", function()
 	it("should divide 2 positive vectors", function()
diff --git a/.tests/Vector3/dot.test.lua b/.tests/Vector3/dot.test.lua
index 3f6f6b3..869f9f9 100644
--- a/.tests/Vector3/dot.test.lua
+++ b/.tests/Vector3/dot.test.lua
@@ -1,4 +1,4 @@
-local Vector3 = require("worldeditadditions.utils.vector3")
+local Vector3 = require("worldeditadditions_core.utils.vector3")
 
 describe("Vector3.dot", function()
 	it("should work with a positive vector", function()
diff --git a/.tests/Vector3/equal.test.lua b/.tests/Vector3/equal.test.lua
index 25ee004..335b81b 100644
--- a/.tests/Vector3/equal.test.lua
+++ b/.tests/Vector3/equal.test.lua
@@ -1,4 +1,4 @@
-local Vector3 = require("worldeditadditions.utils.vector3")
+local Vector3 = require("worldeditadditions_core.utils.vector3")
 
 describe("Vector3.equals", function()
 	it("should return true when identical", function()
diff --git a/.tests/Vector3/expand_region.test.lua b/.tests/Vector3/expand_region.test.lua
index 2847464..31508d4 100644
--- a/.tests/Vector3/expand_region.test.lua
+++ b/.tests/Vector3/expand_region.test.lua
@@ -1,4 +1,4 @@
-local Vector3 = require("worldeditadditions.utils.vector3")
+local Vector3 = require("worldeditadditions_core.utils.vector3")
 
 describe("Vector3.expand_region", function()
 	it("should work with positive vectors", function()
diff --git a/.tests/Vector3/floor.test.lua b/.tests/Vector3/floor.test.lua
index c29b56d..0eaec07 100644
--- a/.tests/Vector3/floor.test.lua
+++ b/.tests/Vector3/floor.test.lua
@@ -1,4 +1,4 @@
-local Vector3 = require("worldeditadditions.utils.vector3")
+local Vector3 = require("worldeditadditions_core.utils.vector3")
 
 describe("Vector3.floor", function()
 	it("should floor a positive vector", function()
diff --git a/.tests/Vector3/is_contained.test.lua b/.tests/Vector3/is_contained.test.lua
index 9c245ee..a719e8a 100644
--- a/.tests/Vector3/is_contained.test.lua
+++ b/.tests/Vector3/is_contained.test.lua
@@ -1,4 +1,4 @@
-local Vector3 = require("worldeditadditions.utils.vector3")
+local Vector3 = require("worldeditadditions_core.utils.vector3")
 
 describe("Vector3.is_contained", function()
 	it("should return true when inside", function()
diff --git a/.tests/Vector3/length.test.lua b/.tests/Vector3/length.test.lua
index 3c8924b..1c47971 100644
--- a/.tests/Vector3/length.test.lua
+++ b/.tests/Vector3/length.test.lua
@@ -1,4 +1,4 @@
-local Vector3 = require("worldeditadditions.utils.vector3")
+local Vector3 = require("worldeditadditions_core.utils.vector3")
 
 -- To find these numbers, in Javascript:
 -- function t(x) { return Math.sqrt((x*x)*3); }
diff --git a/.tests/Vector3/length_squared.test.lua b/.tests/Vector3/length_squared.test.lua
index 3e049c9..1be2580 100644
--- a/.tests/Vector3/length_squared.test.lua
+++ b/.tests/Vector3/length_squared.test.lua
@@ -1,4 +1,4 @@
-local Vector3 = require("worldeditadditions.utils.vector3")
+local Vector3 = require("worldeditadditions_core.utils.vector3")
 
 describe("Vector3.length_squared", function()
 	it("should work with a positive vector", function()
diff --git a/.tests/Vector3/limit_to.test.lua b/.tests/Vector3/limit_to.test.lua
index 0847fc9..880b792 100644
--- a/.tests/Vector3/limit_to.test.lua
+++ b/.tests/Vector3/limit_to.test.lua
@@ -1,4 +1,4 @@
-local Vector3 = require("worldeditadditions.utils.vector3")
+local Vector3 = require("worldeditadditions_core.utils.vector3")
 
 describe("Vector3.limit_to", function()
 	it("should limit_to a positive vector", function()
diff --git a/.tests/Vector3/max.test.lua b/.tests/Vector3/max.test.lua
index 04f180c..6c9a181 100644
--- a/.tests/Vector3/max.test.lua
+++ b/.tests/Vector3/max.test.lua
@@ -1,4 +1,4 @@
-local Vector3 = require("worldeditadditions.utils.vector3")
+local Vector3 = require("worldeditadditions_core.utils.vector3")
 
 describe("Vector3.max", function()
 	it("should work with positive vectors", function()
diff --git a/.tests/Vector3/max_component.test.lua b/.tests/Vector3/max_component.test.lua
index 3c74bab..0a91990 100644
--- a/.tests/Vector3/max_component.test.lua
+++ b/.tests/Vector3/max_component.test.lua
@@ -1,4 +1,4 @@
-local Vector3 = require("worldeditadditions.utils.vector3")
+local Vector3 = require("worldeditadditions_core.utils.vector3")
 
 describe("Vector3.max_component", function()
 	it("should work with a positive vector x", function()
diff --git a/.tests/Vector3/mean.test.lua b/.tests/Vector3/mean.test.lua
index 0604d68..e81e196 100644
--- a/.tests/Vector3/mean.test.lua
+++ b/.tests/Vector3/mean.test.lua
@@ -1,4 +1,4 @@
-local Vector3 = require("worldeditadditions.utils.vector3")
+local Vector3 = require("worldeditadditions_core.utils.vector3")
 
 describe("Vector3.mean", function()
 	it("should work with a positive vector", function()
diff --git a/.tests/Vector3/min.test.lua b/.tests/Vector3/min.test.lua
index 307ed79..a22508e 100644
--- a/.tests/Vector3/min.test.lua
+++ b/.tests/Vector3/min.test.lua
@@ -1,4 +1,4 @@
-local Vector3 = require("worldeditadditions.utils.vector3")
+local Vector3 = require("worldeditadditions_core.utils.vector3")
 
 describe("Vector3.min", function()
 	it("should work with positive vectors", function()
diff --git a/.tests/Vector3/min_component.test.lua b/.tests/Vector3/min_component.test.lua
index d1e8fc4..784ce1c 100644
--- a/.tests/Vector3/min_component.test.lua
+++ b/.tests/Vector3/min_component.test.lua
@@ -1,4 +1,4 @@
-local Vector3 = require("worldeditadditions.utils.vector3")
+local Vector3 = require("worldeditadditions_core.utils.vector3")
 
 describe("Vector3.min_component", function()
 	it("should work with a positive vector x", function()
diff --git a/.tests/Vector3/move_towards.test.lua b/.tests/Vector3/move_towards.test.lua
index c48ba82..0feafb9 100644
--- a/.tests/Vector3/move_towards.test.lua
+++ b/.tests/Vector3/move_towards.test.lua
@@ -1,4 +1,4 @@
-local Vector3 = require("worldeditadditions.utils.vector3")
+local Vector3 = require("worldeditadditions_core.utils.vector3")
 
 -- To find these numbers, in Javascript:
 -- function t(x) { return Math.sqrt((x*x)*3); }
diff --git a/.tests/Vector3/multiply.test.lua b/.tests/Vector3/multiply.test.lua
index f133135..bdd4b14 100644
--- a/.tests/Vector3/multiply.test.lua
+++ b/.tests/Vector3/multiply.test.lua
@@ -1,4 +1,4 @@
-local Vector3 = require("worldeditadditions.utils.vector3")
+local Vector3 = require("worldeditadditions_core.utils.vector3")
 
 describe("Vector3.multiply", function()
 	it("should multiply 2 positive vectors", function()
diff --git a/.tests/Vector3/new.test.lua b/.tests/Vector3/new.test.lua
index c92e9d5..bc317de 100644
--- a/.tests/Vector3/new.test.lua
+++ b/.tests/Vector3/new.test.lua
@@ -1,4 +1,4 @@
-local Vector3 = require("worldeditadditions.utils.vector3")
+local Vector3 = require("worldeditadditions_core.utils.vector3")
 
 describe("Vector3.add", function()
 	it("should create a new Vector3", function()
diff --git a/.tests/Vector3/round.test.lua b/.tests/Vector3/round.test.lua
index 6107381..9f8aa40 100644
--- a/.tests/Vector3/round.test.lua
+++ b/.tests/Vector3/round.test.lua
@@ -1,4 +1,4 @@
-local Vector3 = require("worldeditadditions.utils.vector3")
+local Vector3 = require("worldeditadditions_core.utils.vector3")
 
 describe("Vector3.round", function()
 	it("should round a positive vector", function()
diff --git a/.tests/Vector3/set_to.test.lua b/.tests/Vector3/set_to.test.lua
index 99eedab..45f6654 100644
--- a/.tests/Vector3/set_to.test.lua
+++ b/.tests/Vector3/set_to.test.lua
@@ -1,4 +1,4 @@
-local Vector3 = require("worldeditadditions.utils.vector3")
+local Vector3 = require("worldeditadditions_core.utils.vector3")
 
 describe("Vector3.set_to", function()
 	it("should set_to a positive vector", function()
diff --git a/.tests/Vector3/snap_to.test.lua b/.tests/Vector3/snap_to.test.lua
index 389de35..23614ca 100644
--- a/.tests/Vector3/snap_to.test.lua
+++ b/.tests/Vector3/snap_to.test.lua
@@ -1,4 +1,4 @@
-local Vector3 = require("worldeditadditions.utils.vector3")
+local Vector3 = require("worldeditadditions_core.utils.vector3")
 
 describe("Vector3.snap_to", function()
 	it("should snap_to a positive vector", function()
diff --git a/.tests/Vector3/sort_pos.test.lua b/.tests/Vector3/sort_pos.test.lua
index df8a89f..3f2f517 100644
--- a/.tests/Vector3/sort_pos.test.lua
+++ b/.tests/Vector3/sort_pos.test.lua
@@ -1,4 +1,4 @@
-local Vector3 = require("worldeditadditions.utils.vector3")
+local Vector3 = require("worldeditadditions_core.utils.vector3")
 
 describe("Vector3.sort", function()
 	it("should work with positive vectors", function()
diff --git a/.tests/Vector3/sqrt.test.lua b/.tests/Vector3/sqrt.test.lua
index dbd84ca..a7c72e6 100644
--- a/.tests/Vector3/sqrt.test.lua
+++ b/.tests/Vector3/sqrt.test.lua
@@ -1,4 +1,4 @@
-local Vector3 = require("worldeditadditions.utils.vector3")
+local Vector3 = require("worldeditadditions_core.utils.vector3")
 
 describe("Vector3.sqrt", function()
 	it("should sqrt a positive vector", function()
diff --git a/.tests/Vector3/subtract.test.lua b/.tests/Vector3/subtract.test.lua
index c447c71..d6969ed 100644
--- a/.tests/Vector3/subtract.test.lua
+++ b/.tests/Vector3/subtract.test.lua
@@ -1,4 +1,4 @@
-local Vector3 = require("worldeditadditions.utils.vector3")
+local Vector3 = require("worldeditadditions_core.utils.vector3")
 
 describe("Vector3.subtract", function()
 	it("should subtract 2 positive vectors", function()
diff --git a/.tests/Vector3/tostring.test.lua b/.tests/Vector3/tostring.test.lua
index 56f3dac..25b82a3 100644
--- a/.tests/Vector3/tostring.test.lua
+++ b/.tests/Vector3/tostring.test.lua
@@ -1,4 +1,4 @@
-local Vector3 = require("worldeditadditions.utils.vector3")
+local Vector3 = require("worldeditadditions_core.utils.vector3")
 
 describe("Vector3.__tostring", function()
 	it("should stringify a Vector3", function()
diff --git a/.tests/Vector3/unit.test.lua b/.tests/Vector3/unit.test.lua
index 3d3b01d..af2ef4e 100644
--- a/.tests/Vector3/unit.test.lua
+++ b/.tests/Vector3/unit.test.lua
@@ -1,4 +1,4 @@
-local Vector3 = require("worldeditadditions.utils.vector3")
+local Vector3 = require("worldeditadditions_core.utils.vector3")
 
 -- To find these numbers, in Javascript:
 -- function t(x) { return Math.sqrt((x*x)*3); }
diff --git a/.tests/parse/axes/axes_parser.test.lua b/.tests/parse/axes/axes_parser.test.lua
index 527000b..51f8946 100644
--- a/.tests/parse/axes/axes_parser.test.lua
+++ b/.tests/parse/axes/axes_parser.test.lua
@@ -1,8 +1,8 @@
-local Vector3 = require("worldeditadditions.utils.vector3")
+local Vector3 = require("worldeditadditions_core.utils.vector3")
 
 local facing_dirs = dofile("./.tests/parse/axes/include_facing_dirs.lua")
 
-local parse = require("worldeditadditions.utils.parse.axes_parser")
+local parse = require("worldeditadditions_core.utils.parse.axes_parser")
 local parse_axes = parse.keytable
 
 
diff --git a/.tests/parse/axes/parse_abs_axis_name.test.lua b/.tests/parse/axes/parse_abs_axis_name.test.lua
index fbee0cf..6210e8f 100644
--- a/.tests/parse/axes/parse_abs_axis_name.test.lua
+++ b/.tests/parse/axes/parse_abs_axis_name.test.lua
@@ -1,4 +1,4 @@
-local Vector3 = require("worldeditadditions.utils.vector3")
+local Vector3 = require("worldeditadditions_core.utils.vector3")
 
 local axes = require("worldeditadditions.utils.parse.axes")
 local parse_abs_axis_name = axes.parse_abs_axis_name
diff --git a/.tests/parse/axes/parse_axes.test.lua b/.tests/parse/axes/parse_axes.test.lua
index caa4d32..45a47ae 100644
--- a/.tests/parse/axes/parse_axes.test.lua
+++ b/.tests/parse/axes/parse_axes.test.lua
@@ -1,8 +1,8 @@
-local Vector3 = require("worldeditadditions.utils.vector3")
+local Vector3 = require("worldeditadditions_core.utils.vector3")
 
 local facing_dirs = dofile("./.tests/parse/axes/include_facing_dirs.lua")
 
-local axes = require("worldeditadditions.utils.parse.axes")
+local axes = require("worldeditadditions_core.utils.parse.axes")
 local parse_axes = axes.parse_axes
 
 --[[ Original idea for how this function was supposed to work from @VorTechnix
diff --git a/.tests/parse/axes/parse_relative_axis_name.test.lua b/.tests/parse/axes/parse_relative_axis_name.test.lua
index 84aa08f..cc6611f 100644
--- a/.tests/parse/axes/parse_relative_axis_name.test.lua
+++ b/.tests/parse/axes/parse_relative_axis_name.test.lua
@@ -1,8 +1,8 @@
-local Vector3 = require("worldeditadditions.utils.vector3")
+local Vector3 = require("worldeditadditions_core.utils.vector3")
 
 local facing_dirs = dofile("./.tests/parse/axes/include_facing_dirs.lua")
 
-local axes = require("worldeditadditions.utils.parse.axes")
+local axes = require("worldeditadditions_core.utils.parse.axes")
 local parse_relative_axis_name = axes.parse_relative_axis_name
 
 
diff --git a/.tests/strings/str_ends.test.lua b/.tests/strings/str_ends.test.lua
index b17665c..e8dbd05 100644
--- a/.tests/strings/str_ends.test.lua
+++ b/.tests/strings/str_ends.test.lua
@@ -1,4 +1,4 @@
-local polyfill = require("worldeditadditions.utils.strings.polyfill")
+local polyfill = require("worldeditadditions_core.utils.strings.polyfill")
 
 describe("str_ends", function()
 	it("should return true for a single character", function()
diff --git a/.tests/strings/str_padend.test.lua b/.tests/strings/str_padend.test.lua
index 1cfa7fe..431a5bc 100644
--- a/.tests/strings/str_padend.test.lua
+++ b/.tests/strings/str_padend.test.lua
@@ -1,4 +1,4 @@
-local polyfill = require("worldeditadditions.utils.strings.polyfill")
+local polyfill = require("worldeditadditions_core.utils.strings.polyfill")
 	
 describe("str_padend", function()
 	it("should pad a string", function()
diff --git a/.tests/strings/str_padstart.test.lua b/.tests/strings/str_padstart.test.lua
index d374511..ef5d5b9 100644
--- a/.tests/strings/str_padstart.test.lua
+++ b/.tests/strings/str_padstart.test.lua
@@ -1,4 +1,4 @@
-local polyfill = require("worldeditadditions.utils.strings.polyfill")
+local polyfill = require("worldeditadditions_core.utils.strings.polyfill")
 	
 describe("str_padstart", function()
 	it("should pad a string", function()
diff --git a/.tests/strings/str_starts.test.lua b/.tests/strings/str_starts.test.lua
index 747b3eb..f3b5d3a 100644
--- a/.tests/strings/str_starts.test.lua
+++ b/.tests/strings/str_starts.test.lua
@@ -1,4 +1,4 @@
-local polyfill = require("worldeditadditions.utils.strings.polyfill")
+local polyfill = require("worldeditadditions_core.utils.strings.polyfill")
 
 describe("str_starts", function()
 	it("should return true for a single character", function()
diff --git a/.tests/strings/trim.test.lua b/.tests/strings/trim.test.lua
index 8c8fb97..0763f17 100644
--- a/.tests/strings/trim.test.lua
+++ b/.tests/strings/trim.test.lua
@@ -1,4 +1,4 @@
-local polyfill = require("worldeditadditions.utils.strings.polyfill")
+local polyfill = require("worldeditadditions_core.utils.strings.polyfill")
 
 describe("trim", function()
 	it("work for a string that's already trimmed", function()
